Create Payment ID API

Generate a unique permanent payment ID for use in making payments. Customers can make payments by dialing *203*paymentid#.

Endpoint Information

POST https://api.moolre.com/open/account/create

To test in sandbox, use https://sandbox.moolre.com/open/account/create instead.

Authentication & Headers

Header NameTypeRequiredDescription
X-API-USERstringYesYour Moolre username.
X-API-PUBKEYstringYesYour Public API Key. (Not required in Sandbox)

Request Parameters

ParameterTypeRequiredDescription
typeintegerYesID of the function. Must be 2.
phonestringYesPhone number of the customer (e.g., +233267606822).
namestringYesName of the Customer or a Unique ID.
currencystringYesCurrency of your account/wallet.
externalrefstringNoUnique ID to identify the request.
accountnumberstringYesYour Moolre Account Number.

Response Examples

200 - Success

Payment ID generated.

{
  "status": 1,
  "code": "AD14",
  "message": "Terminal Creation Successful",
  "data": {
    "paymentid": "08160984",
    "name": "Kofi Adeniyi",
    "qrcode": null
  },
  "go": null
}

← Back to AI Documentation Index | View Full API Reference